## qttools-opensource-src 5.9.1

=== debian/changelog ===
qttools-opensource-src (5.9.1-2) unstable; urgency=medium

  * Update symbols files from the current build logs.
  * Upload to unstable.
    - Fixes build failure with GCC 7 (closes: #853633).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 16 Aug 2017 12:18:33 +0300

qttools-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files from buildds’ logs.
  * Bump Qt build-dependencies to 5.9.1.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 02 Jul 2017 16:08:50 +0300

qttools-opensource-src (5.9.0-1) experimental; urgency=medium

  * Team upload.

  [ Simon Quigley ]
  * New upstream release.

  [ Dmitry Shachnev ]
  * Re-enable webkit support.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 08 Jun 2017 05:32:04 -0500

qttools-opensource-src (5.9.0~beta3-1) experimental; urgency=medium

  [ Alexander Volkov ]
  * Add and install desktop files for assistant, designer and linguist
    (closes: #775419).

  [ Dmitry Shachnev ]
  * New upstream beta release.
  * Temporarily disable webkit support (there are no webkit 5.9 tarballs yet).
  * Bump the other Qt build dependencies to 5.9.0 beta.
  * Drop libqt5clucene5 package, upstream no longer uses a fork of CLucene.
    - Drop hurd-path_max.diff, no longer needed.
  * Build qtattributionsscanner before building the documentation.
  * Update install files.
  * Update symbols files from current amd64 and i386 build logs.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 08 May 2017 15:37:21 +0300
