## qttools-opensource-src 5.11.1

=== debian/changelog ===
qttools-opensource-src (5.11.1-5ubuntu1) cosmic; urgency=medium

  * Build qdoc with QDOC_PASS_ISYSTEM defined. This is needed because qmake
    passes Qt include directories as -isystem flags, not as regular -I (LP:
    #1799111).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 26 Nov 2018 11:48:25 +0300

qttools-opensource-src (5.11.1-5) unstable; urgency=medium

  * Add a missing epoch on the b-d versions in the previous upload.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 05 Aug 2018 13:39:46 -0500

qttools-opensource-src (5.11.1-4) unstable; urgency=medium

  * Make the build dependencies on libclang-dev and llvm-dev more strict
    (Closes: #905537).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 05 Aug 2018 13:35:14 -0500

qttools-opensource-src (5.11.1-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add support for nodoc build profile.

  [ Simon Quigley ]
  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:32 -0500

qttools-opensource-src (5.11.1-2) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Disable rpath when building qdoc.

  [ Simon Quigley ]
  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Jun 2018 20:41:39 -0500

qttools-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump build dependencies to 5.11.1, and qtwebkit dependency to the
    one built against 5.11.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 23:18:17 -0500

qttools-opensource-src (5.11.0-1) experimental; urgency=medium

  [ Simon Quigley ]
  * Add my name to Uploaders.
  * New upstream release.
  * Bump build dependencies to 5.11.0.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Bump qtwebkit dependency to pick up the one in Experimental.
  * Update symbols from build logs.

  [ Dmitry Shachnev ]
  * Build-depend on libclang-dev and llvm-dev, and export
    LLVM_INSTALL_DIR environment variable, now needed for qdoc.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 12:10:21 -0500

qttools-opensource-src (5.10.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 17:31:06 -0300

qttools-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new tarball names.
  * Drop compiler flags exports, not needed with debhelper configure.
  * Bump Qt build-dependencies to 5.10.1.
  * Update Vcs fields for migration to salsa.debian.org.
  * Update debian/copyright.
  * Add one new header file to qttools5-private-dev.install.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Feb 2018 22:06:56 +0300
