=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: qttools-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Felix Geyer <fgeyer@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 10.9.2~),
-               libqt5opengl5-dev (>= 5.9.5+dfsg~),
-               libqt5sql5-sqlite (>= 5.9.5+dfsg~),
-               libqt5webkit5-dev (>= 5.9.5~) [!m68k !sh4],
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
+Build-Depends: debhelper (>= 11),
+               libclang-dev (>= 1:3.9~),
+               libqt5opengl5-dev (>= 5.11.1+dfsg~),
+               libqt5sql5-sqlite (>= 5.11.1+dfsg~),
+               libqt5webkit5-dev (>= 5.212.0~alpha2-11~) [!m68k !sparc64],
+               llvm-dev (>= 1:3.9~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.9.5~),
-               qtdeclarative5-private-dev (>= 5.9.5~),
+               qtbase5-private-dev (>= 5.11.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.11.1~),
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.9.5+dfsg~)
-Standards-Version: 4.1.3
+Build-Depends-Indep: qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>
+Standards-Version: 4.1.4
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qttools.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qttools
@@ -132,8 +134,8 @@
 Section: devel
 Depends: libqt5sql5-sqlite, qtchooser, ${misc:Depends}, ${shlibs:Depends}
 Suggests: qt5-doc
-Breaks: qttools5-dev-tools (<< 5.9.4~)
-Replaces: qttools5-dev-tools (<< 5.9.4~)
+Breaks: qttools5-dev-tools (<< 5.9.2-5~)
+Replaces: qttools5-dev-tools (<< 5.9.2-5~)
 Description: Qt 5 Assistant
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -154,6 +156,7 @@
  This package contains examples of the Qt 5 tools module.
 
 Package: qttools5-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
@@ -167,6 +170,7 @@
  and binaries.
 
 Package: qttools5-doc-html
+Build-Profiles: <!nodoc>
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
