=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,8 @@
 
 include /usr/share/dpkg/architecture.mk
 
-export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
+export LLVM_INSTALL_DIR := $(shell llvm-config --prefix)
 
 # Archs that do not build depend on QtWebkit do not ship qwebview.
 no_qwebview_archs := m68k sparc64
@@ -23,7 +21,7 @@
 
 build-doc-tools:
 	# Build qdoc, qhelpgenerator and qtattributionsscanner tools
-	cd src; qmake
+	cd src; qmake CONFIG+=disable_external_rpath DEFINES+=QDOC_PASS_ISYSTEM
 	dh_auto_build -- -Csrc sub-qdoc sub-qtattributionsscanner
 	cd src/assistant; qmake
 	dh_auto_build -- -Csrc/assistant sub-qhelpgenerator
@@ -44,7 +42,7 @@
 
 override_dh_auto_install-arch:
 	dh_auto_install
-	
+
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
@@ -76,8 +74,4 @@
 	dh_link -pqdbus-qt5 usr/lib/qt5/bin/qdbus usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qdbus
 	dh_link -pqt5-assistant usr/lib/qt5/bin/assistant usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/assistant
 
-override_dh_strip:
-	dh_strip -pqttools5-examples --dbgsym-migration='qttools5-examples-dbg (<< 5.7.1-1~)'
-	dh_strip --remaining-packages --dbgsym-migration='qttools5-dbg (<< 5.7.1-1~)'
-
 override_dh_auto_test-indep:
