## qttools-opensource-src 5.11.3

=== debian/changelog ===
qttools-opensource-src (5.11.3-4) unstable; urgency=medium

  * Limit also the libclang-dev build dependency on the architectures where
    it is available.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Jan 2019 10:42:39 +0100

qttools-opensource-src (5.11.3-3) unstable; urgency=medium

  * Split qdoc into a separate package (qdoc-qt5), build it only on
    architectures where LLVM/clang is available (closes: #904688).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 04 Jan 2019 19:06:50 +0300

qttools-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:33:15 -0300

qttools-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 10 Dec 2018 12:10:01 -0300

qttools-opensource-src (5.11.2-5) unstable; urgency=medium

  * Build qdoc with QDOC_PASS_ISYSTEM defined. This is needed because qmake
    passes Qt include directories as -isystem flags, not as regular -I.
    See QTBUG-70896, LP: #1799111.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Nov 2018 11:03:30 +0300

qttools-opensource-src (5.11.2-4) unstable; urgency=medium

  * Drop libvulkan-dev build-dependency, new qtbase5-dev will depend
    on it on linux (closes: #911618).
  * Drop qdoc_gcc_includepath.diff. The include directories will be passed
    to qdoc at run-time (by qt_docs.prf in qtbase).
  * Update debian/libqt5designer5.symbols for hppa.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Oct 2018 23:08:09 +0300

qttools-opensource-src (5.11.2-3) unstable; urgency=medium

  * Build-depend on libvulkan-dev, to fix qtdiag FTBFS.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 17 Oct 2018 10:18:56 +0300

qttools-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 18:44:06 +0300

qttools-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh qdoc_gcc_includepath.diff.
  * Bump Qt build-dependencies to 5.11.2.
  * Add two new symbols to debian/libqt5designer5.symbols.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Sep 2018 16:54:06 +0300

qttools-opensource-src (5.11.1-6) unstable; urgency=medium

  * Add GCC include dir to default clang arguments. This is needed to make
    qdoc work properly with libclang1-6.0 ≥ 1:6.0.1-4, where a patch doing
    the same thing has been dropped. See bug #908328 for details.
  * Update debian/libqt5designer5.symbols from buildds’ logs.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 11 Sep 2018 00:17:48 +0300
