=== debian/control ===
--- 
+++ 
@@ -8,19 +8,20 @@
            Felix Geyer <fgeyer@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
-               libclang-dev (>= 1:3.9~),
-               libqt5opengl5-dev (>= 5.11.1+dfsg~),
-               libqt5sql5-sqlite (>= 5.11.1+dfsg~),
-               libqt5webkit5-dev (>= 5.212.0~alpha2-11~) [!m68k !sparc64],
-               llvm-dev (>= 1:3.9~),
+               libclang-dev (>= 1:3.9~) [amd64 arm64 armel armhf hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
+               libqt5opengl5-dev (>= 5.11.3+dfsg~),
+               libqt5sql5-sqlite (>= 5.11.3+dfsg~),
+               libqt5webkit5-dev (>= 5.212.0~alpha2-16~) [!m68k !sparc64],
+               llvm-dev (>= 1:3.9~) [amd64 arm64 armel armhf hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.11.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.11.1~),
+               qtbase5-private-dev (>= 5.11.3+dfsg~),
+               qtdeclarative5-private-dev (>= 5.11.3~),
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>
-Standards-Version: 4.1.4
+Build-Depends-Indep: llvm-dev (>= 1:3.9~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>
+Standards-Version: 4.3.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qttools.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qttools
@@ -60,6 +61,20 @@
  .
  This package contains qdbus, a command-line tool interface to D-Bus that uses
  the QtDBus library.
+
+Package: qdoc-qt5
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x sparc64
+Multi-Arch: foreign
+Section: utils
+Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Breaks: qttools5-dev-tools (<< 5.11.3-3~)
+Replaces: qttools5-dev-tools (<< 5.11.3-3~)
+Description: Qt 5 qdoc tool
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains qdoc, a command-line tool for generating HTML
+ documentation from .cpp and .qdoc files.
 
 Package: libqt5help5
 Architecture: any
@@ -110,6 +125,7 @@
 Multi-Arch: foreign
 Section: devel
 Depends: libqt5sql5-sqlite,
+         qdoc-qt5 (= ${binary:Version}) [amd64 arm64 armel armhf hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
          qt5-assistant (= ${binary:Version}),
          qtchooser,
          ${misc:Depends},
