## qttools-opensource-src 5.12.2

=== debian/changelog ===
qttools-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Enable qdoc build on kfreebsd-any and five mips* architectures (closes:
    #921206).
  * Update .install files.
  * Update symbols files from the current build log.
  * Use dh_missing instead of deprecated dh_install --fail-missing.
  * Use a white list of architectures where Qt WebKit is available.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Mar 2019 19:06:37 +0300
