=== debian/control ===
--- 
+++ 
@@ -10,17 +10,17 @@
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
-               libclang-dev (>= 1:3.9~) [amd64 arm64 armel armhf hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
-               libqt5opengl5-dev (>= 5.11.3+dfsg~),
-               libqt5sql5-sqlite (>= 5.11.3+dfsg~),
-               libqt5webkit5-dev (>= 5.212.0~alpha2-16~) [!m68k !sparc64],
-               llvm-dev (>= 1:3.9~) [amd64 arm64 armel armhf hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
+               libclang-dev (>= 1:3.9~) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-any mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el s390x sparc64],
+               libqt5opengl5-dev (>= 5.12.2+dfsg~),
+               libqt5sql5-sqlite (>= 5.12.2+dfsg~),
+               libqt5webkit5-dev (>= 5.212.0~alpha2-22~) [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32],
+               llvm-dev (>= 1:3.9~) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-any mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el s390x sparc64],
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.11.3+dfsg~),
-               qtdeclarative5-private-dev (>= 5.11.3~),
+               qtbase5-private-dev (>= 5.12.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.2~),
                zlib1g-dev
 Build-Depends-Indep: llvm-dev (>= 1:3.9~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>
+                     qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>
 Standards-Version: 4.3.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qttools.git
@@ -63,7 +63,7 @@
  the QtDBus library.
 
 Package: qdoc-qt5
-Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x sparc64
+Architecture: kfreebsd-any amd64 arm64 armel armhf hurd-i386 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el s390x sparc64
 Multi-Arch: foreign
 Section: utils
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
@@ -125,7 +125,7 @@
 Multi-Arch: foreign
 Section: devel
 Depends: libqt5sql5-sqlite,
-         qdoc-qt5 (= ${binary:Version}) [amd64 arm64 armel armhf hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
+         qdoc-qt5 (= ${binary:Version}) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-any mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el s390x sparc64],
          qt5-assistant (= ${binary:Version}),
          qtchooser,
          ${misc:Depends},
