=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export LLVM_INSTALL_DIR := $(shell llvm-config --prefix)
 
 # Archs that do not build depend on QtWebkit do not ship qwebview.
-no_qwebview_archs := m68k sparc64
+qwebview_archs := alpha amd64 arm64 armel armhf hppa hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32
 
 %:
 	dh $@ --with pkgkde_symbolshelper
@@ -55,12 +55,12 @@
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
 override_dh_install:
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_qwebview_archs)))
+ifeq (,$(filter $(DEB_HOST_ARCH),$(qwebview_archs)))
 	grep -v qwebview debian/qttools5-dev-tools.install.in >> debian/qttools5-dev-tools.install
 else
 	cp debian/qttools5-dev-tools.install.in debian/qttools5-dev-tools.install
 endif
-	dh_install --fail-missing
+	dh_install
 
 	install -D -p -m0644 src/assistant/assistant/images/assistant-128.png \
 		debian/qt5-assistant/usr/share/pixmaps/assistant-qt5.png
@@ -68,6 +68,9 @@
 		debian/qttools5-dev-tools/usr/share/pixmaps/designer-qt5.png
 	install -D -p -m0644 src/linguist/linguist/images/icons/linguist-128-32.png \
 		debian/qttools5-dev-tools/usr/share/pixmaps/linguist-qt5.png
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_link:
 	dh_link
