## qttools-opensource-src 5.12.4

=== debian/changelog ===
qttools-opensource-src (5.12.4-1) experimental; urgency=medium

  * New upstream release.
  * Make qhelpgenerator-qt5 depend on libqt5sql5-sqlite.
  * Bump Qt build-dependencies to 5.12.4.
  * Simplify debian/rules by using debian/not-installed file.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Jul 2019 20:25:54 +0300

qttools-opensource-src (5.12.3-2) experimental; urgency=medium

  * Split qhelpgenerator and qtattributionsscanner into separate binary
    packages. This will allow us to build-depend only on small qdoc,
    qhelpgenerator and qtattributionsscanner packages for building Qt docs,
    instead of the whole qttools5-dev-tools package.
  * Update debian/libqt5designer5.symbols from arm64 build log.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 May 2019 13:04:35 +0300

qttools-opensource-src (5.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.3.
  * Update debian/libqt5designer5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 30 Apr 2019 10:51:11 +0300
