=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                libclang-dev (>= 1:3.9~) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-any mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el s390x sparc64],
-               libqt5opengl5-dev (>= 5.12.2+dfsg~),
-               libqt5sql5-sqlite (>= 5.12.2+dfsg~),
-               libqt5webkit5-dev (>= 5.212.0~alpha2-22~) [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32],
+               libqt5opengl5-dev (>= 5.12.4+dfsg~),
+               libqt5sql5-sqlite (>= 5.12.4+dfsg~),
+               libqt5webkit5-dev (>= 5.212.0~alpha2-23~) [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32],
                llvm-dev (>= 1:3.9~) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-any mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el s390x sparc64],
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.12.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.2~),
+               qtbase5-private-dev (>= 5.12.4+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.4~),
                zlib1g-dev
 Build-Depends-Indep: llvm-dev (>= 1:3.9~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>
+                     qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>
 Standards-Version: 4.3.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qttools.git
@@ -75,6 +75,35 @@
  .
  This package contains qdoc, a command-line tool for generating HTML
  documentation from .cpp and .qdoc files.
+
+Package: qhelpgenerator-qt5
+Architecture: any
+Multi-Arch: foreign
+Section: utils
+Depends: libqt5sql5-sqlite, qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Breaks: qttools5-dev-tools (<< 5.12.3-2~)
+Replaces: qttools5-dev-tools (<< 5.12.3-2~)
+Description: Qt 5 qhelpgenerator tool
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains qhelpgenerator, a command-line tool for packaging
+ the HTML documentation generated by qdoc into .qch files.
+
+Package: qtattributionsscanner-qt5
+Architecture: any
+Multi-Arch: foreign
+Section: utils
+Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Breaks: qttools5-dev-tools (<< 5.12.3-2~)
+Replaces: qttools5-dev-tools (<< 5.12.3-2~)
+Description: Qt 5 qtattributionsscanner tool
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains qtattributionsscanner, a command-line tool that
+ scans the source code for qt_attribution.json file and outputs JSON or
+ qdoc files describing the copyright attributions for third party code.
 
 Package: libqt5help5
 Architecture: any
@@ -124,9 +153,10 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Depends: libqt5sql5-sqlite,
-         qdoc-qt5 (= ${binary:Version}) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-any mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el s390x sparc64],
+Depends: qdoc-qt5 (= ${binary:Version}) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-any mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el s390x sparc64],
+         qhelpgenerator-qt5 (= ${binary:Version}),
          qt5-assistant (= ${binary:Version}),
+         qtattributionsscanner-qt5 (= ${binary:Version}),
          qtchooser,
          ${misc:Depends},
          ${shlibs:Depends}
