=== debian/rules ===
--- 
+++ 
@@ -42,15 +42,6 @@
 endif
 endif
 
-override_dh_auto_install-arch:
-	dh_auto_install
-
-	# Remove libtool-like files
-	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
-
-	# Remove CMake files for plugins.
-	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Designer/*Plugin.cmake
-
 override_dh_auto_install-indep:
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
@@ -78,6 +69,8 @@
 		dh_link -pqttools5-dev-tools usr/lib/qt5/bin/{} usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/{}
 	dh_link -pqdbus-qt5 usr/lib/qt5/bin/qdbus usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qdbus
 	dh_link -pqdoc-qt5 usr/lib/qt5/bin/qdoc usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qdoc
+	dh_link -pqhelpgenerator-qt5 usr/lib/qt5/bin/qhelpgenerator usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qhelpgenerator
+	dh_link -pqtattributionsscanner-qt5 usr/lib/qt5/bin/qtattributionsscanner usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qtattributionsscanner
 	dh_link -pqt5-assistant usr/lib/qt5/bin/assistant usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/assistant
 
 override_dh_auto_test-indep:
